RowSetEvent (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sql
Class RowSetEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.sql.RowSetEvent

All Implemented Interfaces:
  Serializable

public class RowSetEvent
extends EventObject

An `Event` object generated when an event occurs to a `RowSet` object. A `RowSetEvent` object is generated when a single row in a rowset is changed, the whole rowset is changed, or the rowset cursor moves.

When an event occurs on a `RowSet` object, one of the `RowSetListener` methods will be sent to all registered listeners to notify them of the event. An `Event` object is supplied to the `RowSetListener` method so that the listener can use it to find out which `RowSet` object is the source of the event.

Since:
  1.4
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`RowSetEvent(RowSet source)` Constructs a `RowSetEvent` object initialized with the given `RowSet` object.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RowSetEvent

    public RowSetEvent(RowSet source)

  Constructs a `RowSetEvent` object initialized with the given `RowSet` object.

Parameters:
  `source` - the `RowSet` object whose data has changed or whose cursor has moved

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.